$(document).ready(function(){
    var clipboard = new Clipboard('.js-clipboard');
    $('#jstree1').jstree({
        'core' : {
            'check_callback' : true,
            'select_node' : false,
        },
        'plugins' : [ 'types', 'dnd' ],
        'types' : {
            'default' : {
                'icon' : false,
            },
        }
    });
    $('#jstree1').on('click', '.jstree-anchor > div > a', function (e) {
        if($(this).hasClass('js-delete-button')) {
            e.stopPropagation();
            e.preventDefault();
            var linkURL = $(this);
            warnBeforeRedirect(linkURL);
        }
        if($(this).hasClass('js-clipboard')){
            clipboard.on('success', function(e) {
                toastr['success']("Saite uz sadaļu ir nokopēta!", "Uzmanību!");
                toastr.clear();
            });
        }
        if($(this).hasClass('redirect')){
            window.location.href = $(this).attr('href');
        }
        //$('#jstree1').jstree(true).delete_node(this);
    });

});